aboutsummaryrefslogtreecommitdiffstats
path: root/tests/ci/apexlake-verify
diff options
context:
space:
mode:
authorMatthewLi <matthew.lijun@huawei.com>2016-05-23 21:32:49 -0400
committerMatthewLi <matthew.lijun@huawei.com>2016-05-23 21:35:08 -0400
commitfdc0a62eb8fc92bcc0de1c65beda00c667cfcffb (patch)
treef9c1a9193607214c07b2020b84c9fbbfd6c6a1bf /tests/ci/apexlake-verify
parent1476937d9be4c04d7f9f1d224c76cb9380a74bc9 (diff)
move /ci into /tests directory
JIRA: YARDSTICK-269 Change-Id: I2b552aded888fa9d8f8ddd8d902b3d7f6d31a607 Signed-off-by: MatthewLi <matthew.lijun@huawei.com>
Diffstat (limited to 'tests/ci/apexlake-verify')
-rwxr-xr-xtests/ci/apexlake-verify29
1 files changed, 29 insertions, 0 deletions
diff --git a/tests/ci/apexlake-verify b/tests/ci/apexlake-verify
new file mode 100755
index 000000000..6a691063f
--- /dev/null
+++ b/tests/ci/apexlake-verify
@@ -0,0 +1,29 @@
+#!/bin/bash
+##############################################################################
+# Copyright (c) 2015 Ericsson AB and others.
+#
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+
+DPDK_HOST=10.118.36.130
+
+YARDSTICK=/home/user/yardstick
+TESTSUITE=$YARDSTICK/tests/opnfv/test_suites/opnfv_vTC_daily.yaml
+
+: ${INSTALLER_TYPE:='unknown'}
+: ${NODE_NAME:='unknown'}
+: ${DEPLOY_SCENARIO:='unknown'}
+
+commands="
+cd $YARDSTICK
+source /home/user/openrc.dasm
+export INSTALLER_TYPE=$INSTALLER_TYPE
+export NODE_NAME=$NODE_NAME
+export DEPLOY_SCENARIO=$DEPLOY_SCENARIO
+sudo -E yardstick task start --suite $TESTSUITE"
+
+echo "$commands" | ssh -l user $DPDK_HOST 'bash -s'
+exit $?